.widget-container {
    display: grid;
    gap: 0px 0px;
    grid-auto-flow: row;
    grid-template-areas:
      "picture1 text2 picture3"
      "text1 picture2 text3";
    text-align: center;
  }
  
   .widget-container .picture1 { grid-area: picture1; }
  
   .widget-container .text1 { grid-area: text1; }
  
   .widget-container .picture2 { grid-area: picture2; }
  
   .widget-container .text2 { grid-area: text2; }
  
   .widget-container .picture3 { grid-area: picture3; }
  
   .widget-container .text3 { grid-area: text3; }
  

  .widget-container img {
      width: 100%;
  }

  @media only screen and (max-width: 600px)
  {
    .widget-container {
        
        grid-template-areas:
            "picture1"
            "text1"
            "picture2"
            "text2"
            "picture3"
            "text3";
    }
  }